All Data Structures Namespaces Files Functions Groups Pages
eccodes::codes_read_bytes Interface Reference

Reads nbytes bytes into the buffer from a file opened with codes_open_file. More...

## Public Member Functions

subroutine | codes_read_bytes_int4 (ifile, buffer, nbytes, status)
| Reads nbytes bytes into the buffer from a file opened with codes_open_file. More...
subroutine | codes_read_bytes_int4_size_t (ifile, buffer, nbytes, status)
| Reads nbytes bytes into the buffer from a file opened with codes_open_file. More...
subroutine | codes_read_bytes_char (ifile, buffer, nbytes, status)
| Reads nbytes bytes into the buffer from a file opened with codes_open_file. More...
subroutine | codes_read_bytes_char_size_t (ifile, buffer, nbytes, status)
| Reads nbytes bytes into the buffer from a file opened with codes_open_file. More...
subroutine | codes_read_bytes_real8 (ifile, buffer, nbytes, status)
| Reads nbytes bytes into the buffer from a file opened with codes_open_file. More...
subroutine | codes_read_bytes_real8_size_t (ifile, buffer, nbytes, status)
| Reads nbytes bytes into the buffer from a file opened with codes_open_file. More...
subroutine | codes_read_bytes_real4 (ifile, buffer, nbytes, status)
| Reads nbytes bytes into the buffer from a file opened with codes_open_file. More...
subroutine | codes_read_bytes_real4_size_t (ifile, buffer, nbytes, status)
| Reads nbytes bytes into the buffer from a file opened with codes_open_file. More...

## Detailed Description

Reads nbytes bytes into the buffer from a file opened with codes_open_file.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Parameters

  ifile | id of the opened file to be used in all the file functions.
  buffer | buffer to be read
  nbytes | number of bytes to be read
  status | CODES_SUCCESS if OK, integer value on error

## Member Function/Subroutine Documentation

subroutine codes_read_bytes_char | ( | integer(kind=kindofint), intent(in) | ifile,
|  | character(len=1), dimension(:), intent(out) | buffer,
|  | integer(kind=kindofint), intent(in) | nbytes,
|  | integer(kind=kindofint), intent(out), optional | status
| ) |  |

Reads nbytes bytes into the buffer from a file opened with codes_open_file.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Parameters

  ifile | id of the opened file to be used in all the file functions.
  buffer | binary buffer to be read
  nbytes | number of bytes to be read
  status | CODES_SUCCESS if OK, integer value on error

subroutine codes_read_bytes_char_size_t | ( | integer(kind=kindofint), intent(in) | ifile,
|  | character(len=1), dimension(:), intent(out) | buffer,
|  | integer(kind=kindofsize_t), intent(in) | nbytes,
|  | integer(kind=kindofint), intent(out), optional | status
| ) |  |

Reads nbytes bytes into the buffer from a file opened with codes_open_file.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Parameters

  ifile | id of the opened file to be used in all the file functions.
  buffer | binary buffer to be read
  nbytes | number of bytes to be read
  status | CODES_SUCCESS if OK, integer value on error

subroutine codes_read_bytes_int4 | ( | integer(kind=kindofint), intent(in) | ifile,
|  | integer(kind=4), dimension(:), intent(out) | buffer,
|  | integer(kind=kindofint), intent(in) | nbytes,
|  | integer(kind=kindofint), intent(out), optional | status
| ) |  |

Reads nbytes bytes into the buffer from a file opened with codes_open_file.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Parameters

  ifile | id of the opened file to be used in all the file functions.
  buffer | buffer to be read
  nbytes | number of bytes to be read
  status | CODES_SUCCESS if OK, integer value on error

subroutine codes_read_bytes_int4_size_t | ( | integer(kind=kindofint), intent(in) | ifile,
|  | integer(kind=4), dimension(:), intent(out) | buffer,
|  | integer(kind=kindofsize_t), intent(in) | nbytes,
|  | integer(kind=kindofint), intent(out), optional | status
| ) |  |

Reads nbytes bytes into the buffer from a file opened with codes_open_file.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Parameters

  ifile | id of the opened file to be used in all the file functions.
  buffer | buffer to be read
  nbytes | number of bytes to be read
  status | CODES_SUCCESS if OK, integer value on error

subroutine codes_read_bytes_real4 | ( | integer(kind=kindofint), intent(in) | ifile,
|  | real(kind=4), dimension(:), intent(out) | buffer,
|  | integer(kind=kindofint), intent(in) | nbytes,
|  | integer(kind=kindofint), intent(out), optional | status
| ) |  |

Reads nbytes bytes into the buffer from a file opened with codes_open_file.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Parameters

  ifile | id of the opened file to be used in all the file functions.
  buffer | buffer to be read
  nbytes | number of bytes to be read
  status | CODES_SUCCESS if OK, integer value on error

subroutine codes_read_bytes_real4_size_t | ( | integer(kind=kindofint), intent(in) | ifile,
|  | real(kind=4), dimension(:), intent(out) | buffer,
|  | integer(kind=kindofsize_t), intent(inout) | nbytes,
|  | integer(kind=kindofint), intent(out), optional | status
| ) |  |

Reads nbytes bytes into the buffer from a file opened with codes_open_file.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Parameters

  ifile | id of the opened file to be used in all the file functions.
  buffer | buffer to be read
  nbytes | number of bytes to be read
  status | CODES_SUCCESS if OK, integer value on error

subroutine codes_read_bytes_real8 | ( | integer(kind=kindofint), intent(in) | ifile,
|  | real(kind=8), dimension(:), intent(out) | buffer,
|  | integer(kind=kindofint), intent(in) | nbytes,
|  | integer(kind=kindofint), intent(out), optional | status
| ) |  |

Reads nbytes bytes into the buffer from a file opened with codes_open_file.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Parameters

  ifile | id of the opened file to be used in all the file functions.
  buffer | buffer to be read
  nbytes | number of bytes to be read
  status | CODES_SUCCESS if OK, integer value on error

subroutine codes_read_bytes_real8_size_t | ( | integer(kind=kindofint), intent(in) | ifile,
|  | real(kind=8), dimension(:), intent(out) | buffer,
|  | integer(kind=kindofsize_t), intent(inout) | nbytes,
|  | integer(kind=kindofint), intent(out), optional | status
| ) |  |

Reads nbytes bytes into the buffer from a file opened with codes_open_file.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Parameters

  ifile | id of the opened file to be used in all the file functions.
  buffer | buffer to be read
  nbytes | number of bytes to be read
  status | CODES_SUCCESS if OK, integer value on error

The documentation for this interface was generated from the following file:

- eccodes_f90.f90